Name:		console-setup
Version:	1.205
Release:	%mkrel 1
Summary:	Tools for configuring the console using X Window System key maps

Group:		Terminals
# For a breakdown of the licensing, see COPYRIGHT, copyright, copyright.fonts and copyright.xkb
License:	GPLv2+ and MIT and Public Domain
URL:		http://packages.debian.org/cs/sid/console-setup
Source0:	http://ftp.de.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.xz

# Fixes installing paths to PCLinuxOS style
Patch0:		console-setup-1.76-pclos-paths.patch
# Fixes FSF address, sent to upstream
Patch1:		console-setup-1.76-fsf-address.patch
# Use the "base" XKB files, not "xorg", patch by Peter Hutterer, sent to upstream, see rhbz#1951453
Patch3:		console-setup-1.202-use-base-xkb-files.patch

Requires:	kbd

BuildRequires:	perl
BuildArch:	noarch

%description
This package provides the console with the same keyboard configuration
scheme that X Window System has. Besides the keyboard, the package configures
also the font on the console.  It includes a rich collection of fonts and
supports several languages that would be otherwise unsupported on the console
(such as Armenian, Georgian, Lao and Thai).

%prep
%setup -q
%apply_patches

%build
make build-linux

%install
make prefix=$RPM_BUILD_ROOT install-linux
rm -rf $RPM_BUILD_ROOT/etc/console-setup

%files
%doc README COPYRIGHT debian/changelog copyright.fonts copyright.xkb Fonts/copyright
/bin/ckbcomp
/bin/setupcon
%config(noreplace) %{_sysconfdir}/default/console-setup
%config(noreplace) %{_sysconfdir}/default/keyboard
/usr/lib/kbd/consolefonts
/usr/lib/kbd/consoletrans
%{_mandir}/*/*


%changelog
* Wed Sep 29 2021 yodelu 1.205-1pclos2021
- import
